/**
 *   CWallpaper-fltk - A frontend for root window pixmap changing programs.
 *   Copyright (C) 2008 Colin Jones
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
 
 #include "cwallpaper-common.h"
 #include "cwallpaper-settings.h"
 
 #ifndef CWALLPAPER_GUI_H
 #define CWALLPAPER_GUI_H
 
 #include <FL/Fl.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Return_Button.H>
//#include <FL/Fl_Button.H>
#include <FL/Fl_Menu_Button.H>
#include <FL/Fl_File_Browser.H>
#include <FL/Fl_Shared_Image.H>

 //Callbacks from widgets
 #ifndef CWALLPAPER_CALLBACKS
 #define CWALLPAPER_CALLBACKS
 void exit_CWallpaper(Fl_Widget *, void* inSettings);
void select_image(Fl_Widget *fileList, void* inGui);
 void set_option(Fl_Widget *optionsCombo, void* inGui); 
 void set_dir(Fl_Widget *dirCombo, void* inGui); 
 void apply_wallpaper(Fl_Widget *, void* inGui);
 void build_folder_list(Fl_Menu_Button *dirCombo);
#endif

 

 class CWallpaperGUI
 {
	public:
		CWallpaperGUI();
		~CWallpaperGUI();
		CWallpaperSettings *get_settings();
		void set_settings(CWallpaperSettings *settings);
		void set_wallpaper_list(const char *directory);
		void previewImage();
		int make_gui(int argc, char *argv[]);
		
		//~ Fl_Shared_Image *get_thumbnail(const char *filename);
	private:
		Fl_Shared_Image *image;
		Fl_Box *box;
		Fl_File_Browser *wallpaper_list;
		CWallpaperSettings *settings;
		
		
		void clean_list();
		
		
		void resizeImage ();
		
};

#endif